[gtk: 1/2] gitlab-ci: Add a 32bit mingw build
- From: Benjamin Otte <otte src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gtk: 1/2] gitlab-ci: Add a 32bit mingw build
- Date: Tue, 10 Apr 2018 19:01:10 +0000 (UTC)
commit f26b2469af18dd1976ff9a8ecbc23a568b6561bc
Author: Christoph Reiter <reiter christoph gmail com>
Date: Fri Apr 6 18:15:38 2018 +0200
gitlab-ci: Add a 32bit mingw build
.gitlab-ci.yml | 14 ++++++++++++++
.gitlab-ci/test-msys2.sh | 42 ++++++++++++++++++++++++++++++++++++++++++
2 files changed, 56 insertions(+)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 04a57e0df0..bbabf994af 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -22,6 +22,20 @@ gtk:
paths:
- "${CI_PROJECT_DIR}/_build/meson-logs"
+.mingw-defaults: &mingw-defaults
+ stage: build
+ tags:
+ - win32
+ script:
+ - C:\msys64\usr\bin\pacman --noconfirm -Syyuu
+ - C:\msys64\usr\bin\bash -lc "bash -x ./.gitlab-ci/test-msys2.sh"
+
+mingw32:
+ variables:
+ MSYSTEM: "MINGW32"
+ CHERE_INVOKING: "yes"
+ <<: *mingw-defaults
+
flatpak:demo:
image: registry.gitlab.com/alatiera/gnome-nightly-oci/gnome-master:latest
stage: flatpak
diff --git a/.gitlab-ci/test-msys2.sh b/.gitlab-ci/test-msys2.sh
new file mode 100644
index 0000000000..da0599ad4b
--- /dev/null
+++ b/.gitlab-ci/test-msys2.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+set -e
+
+if [[ "$MSYSTEM" == "MINGW32" ]]; then
+ export MSYS2_ARCH="i686"
+else
+ export MSYS2_ARCH="x86_64"
+fi
+
+# Update everything
+pacman --noconfirm -Suy
+
+# Install the required packages
+pacman --noconfirm -S --needed \
+ base-devel \
+ git \
+ mingw-w64-$MSYS2_ARCH-toolchain \
+ mingw-w64-$MSYS2_ARCH-pkg-config \
+ mingw-w64-$MSYS2_ARCH-gobject-introspection \
+ mingw-w64-$MSYS2_ARCH-meson \
+ mingw-w64-$MSYS2_ARCH-adwaita-icon-theme \
+ mingw-w64-$MSYS2_ARCH-atk \
+ mingw-w64-$MSYS2_ARCH-cairo \
+ mingw-w64-$MSYS2_ARCH-gdk-pixbuf2 \
+ mingw-w64-$MSYS2_ARCH-glib2 \
+ mingw-w64-$MSYS2_ARCH-graphene \
+ mingw-w64-$MSYS2_ARCH-json-glib \
+ mingw-w64-$MSYS2_ARCH-libepoxy \
+ mingw-w64-$MSYS2_ARCH-pango \
+ mingw-w64-$MSYS2_ARCH-fribidi \
+ mingw-w64-$MSYS2_ARCH-gst-plugins-bad \
+ mingw-w64-$MSYS2_ARCH-shared-mime-info
+
+# Build
+meson \
+ -Denable-x11-backend=false \
+ -Denable-wayland-backend=false \
+ -Denable-win32-backend=true \
+ _build
+
+ninja -C _build
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]